{ stdenv, lib, fetchurl, meson, ninja, pkg-config, wayland, git
, alsaLib, gnome3, gtk-layer-shell, pulseaudio, wayfire, wf-config
}:

stdenv.mkDerivation rec {
  pname = "wf-shell";
  version = "0.6.1";

  # > Note to packagers: do not use the autogenerated "Source code"
  # > archives from GitHub, but the wf-shell-0.4.0.tar.xz file.
  src = fetchurl {
    url = "https://github.com/WayfireWM/wf-shell/releases/download/v${version}/wf-shell-${version}.tar.xz";
    sha256 = "0jl8gj185k2ff754lcj5b5nldhkvrhmlaj8lsik4kx78vlb5m3ns";
  };

  nativeBuildInputs = [ meson ninja pkg-config wayland ];
  buildInputs = [
    alsaLib gnome3.gtkmm gtk-layer-shell pulseaudio wayfire wf-config
  ];

  mesonFlags = [ "--sysconfdir" "/etc" ];

  meta = with lib; {
    homepage = "https://github.com/WayfireWM/wf-shell";
    description = "GTK3-based panel for Wayfire";
    license = licenses.mit;
    maintainers = with maintainers; [ qyliss wucke13 ];
    platforms = platforms.unix;
  };
}
