{ lib, stdenv
, buildPythonPackage
, fetchPypi
, cython
, hypothesis
, numpy
, pytest
}:

buildPythonPackage rec {
  pname = "blis";
  version = "0.7.4";

  src = fetchPypi {
    inherit pname version;
    sha256 = "7daa615a97d4f28db0f332b710bfe1900b15d0c25841c6d727965e4fd91e09cf";
  };

  nativeBuildInputs = [
    cython
  ];

  propagatedBuildInputs = [
    numpy
  ];


  checkInputs = [
    hypothesis
    pytest
  ];

  meta = with lib; {
    description = "BLAS-like linear algebra library";
    homepage = "https://github.com/explosion/cython-blis";
    license = licenses.bsd3;
    platforms = platforms.x86_64;
    maintainers = with maintainers; [ danieldk ];
  };
}
