{ lib, stdenv, buildPythonPackage, fetchPypi, isPy3k, certifi, six
, setuptools_scm
}:

buildPythonPackage rec {
  pname = "pylast";
  version = "4.1.0";

  disabled = !isPy3k;

  src = fetchPypi {
    inherit pname version;
    sha256 = "ad084aec1bf7e307bc42d7cc1a003851f5bee1ad24fb697a9fdc300bbfe63932";
  };

  nativeBuildInputs = [ setuptools_scm ];
  propagatedBuildInputs = [ certifi six ];

  # tests require last.fm credentials
  doCheck = false;

  meta = with lib; {
    homepage = "https://github.com/pylast/pylast";
    description = "A python interface to last.fm (and compatibles)";
    license = licenses.asl20;
    maintainers = with maintainers; [ rvolosatovs ];
  };
}
