{ lib, stdenv
, buildPythonPackage
, fetchPypi
, six
, pillow
, pymaging_png
, mock
, setuptools
}:

buildPythonPackage rec {
  pname = "qrcode";
  version = "6.1";

  src = fetchPypi {
    inherit pname version;
    sha256 = "505253854f607f2abf4d16092c61d4e9d511a3b4392e60bff957a68592b04369";
  };

  propagatedBuildInputs = [ six pillow pymaging_png setuptools ];
  checkInputs = [ mock ];

  meta = with lib; {
    description = "Quick Response code generation for Python";
    homepage = "https://pypi.python.org/pypi/qrcode";
    license = licenses.bsd3;
  };

}
