{ lib, stdenv, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "hactool";
  version = "1.4.0";

  src = fetchFromGitHub {
    owner = "SciresM";
    repo = "hactool";
    rev = version;
    sha256 = "0305ngsnwm8npzgyhyifasi4l802xnfz19r0kbzzniirmcn4082d";
  };

  preBuild = ''
    mv config.mk.template config.mk
  '';

  makeFlags = lib.optionals stdenv.isDarwin [ "CC=cc" ];

  installPhase = ''
    install -D hactool $out/bin/hactool
  '';

  meta = with lib; {
    homepage = "https://github.com/SciresM/hactool";
    description = "A tool to manipulate common file formats for the Nintendo Switch";
    longDescription = "A tool to view information about, decrypt, and extract common file formats for the Nintendo Switch, especially Nintendo Content Archives";
    license = licenses.isc;
    maintainers = with maintainers; [ ivar ];
    platforms = platforms.unix;
  };
}
